print('start mqtt heap: '..node.heap())
if not mqttClient then
    mqttClient = mqtt.Client( MQTT_CLIENT_ID, 60, MQTT_LOGIN, MQTT_PASSWORD)
    mqttClient:lwt(MQTT_CLIENT_ID..'/state', "OFF", 0, 0)
    mqttClient:on("message",
        function(client, topic, data) 
            local top = string.gsub(topic, MQTT_TOPIC.."/command/","")
            print('Got now:',top, ":", data)
            if data then
                table.insert(killtop, {top, data})
                if not dat.analiz then
                    -- dofile("analize.lua")
                end
        end
    end)
    mqttClient:on("offline", function(con)
        dat.broker = false
        print('mqttClient: offline')
        dofile('setmqttQ.lua')
    end)
end

mqttClient:close()
print("mqttClient:close")

local count = 0
print("set count")
local connecting = function(getmq)
    if wifi.sta.status() == wifi.STA_GOTIP then
        print('Got wifi')
        tmr.stop(getmq)
        print('tmr.stop(getmq)')
        tmr.unregister(getmq)
        print('tmr.unregister(getmq)')
        getmq = nil
        print('getmq = nil')
        mqttClient:connect(MQTT_BROKER_IP, MQTT_BROKER_PORT, 0, 0,
        function(client)
            print("Connected to Broker")
            -- mqttClient:subscribe(MQTT_TOPIC.."/command/#",0, function(conn)
            -- mqttClient:subscribe("/#",0, function(conn) 
			mqttClient:subscribe(MQTT_TOPIC..'/command/#',0, function(conn) 
                print("Subscribed: "..MQTT_TOPIC.."/command/#")
            end)
            mqttClient:publish(MQTT_TOPIC..'/state',"ON",0,0)
            dat.broker = true
            count = nil
        end,
        function(client, reason)
            print("mqtt error: "..reason)
            dofile('setmqttQ.lua')
        end)
    else
        print("Wating for WiFi "..count.." times at heap: "..node.heap())
        count = count + 1
    end
end
print("set connecting")
tmr.create():alarm(5000, 1, function(timer)
    print("tmr.create")
    connecting(timer)
end)
 